Index: build.d
===================================================================
--- build.d	(revision 7)
+++ build.d	(working copy)
@@ -1119,14 +1119,16 @@
      
         if(pArg.length>9) {
             if(pArg[0..9]=="-version=") {
-                pArg=pArg [9 .. pArg.length];
-                if (std.ctype.isdigit (pArg [0])) {
+                  // Use versionStr instead of clobbering pArg so that
+                  // the switch() below doesn't mistake it for a source file.
+                char[] versionStr = pArg [9 .. pArg.length];
+                if (std.ctype.isdigit (versionStr [0])) {
                     // Note that even though we capture this here,
                     // version levels are not yet implemented in the
                     // source scanner.
-                   vVersionLevel = atoi (pArg);
+                   vVersionLevel = atoi (versionStr);
                 } else {
-                   vActiveVersions [pArg] = true;
+                   vActiveVersions [versionStr] = true;
                 }
             }
         }
